Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Namespaces | Macros | Typedefs | Functions | Variables
fobject.cpp File Reference
`#include "base/source/fobject.h"`
`#include "base/thread/include/flock.h"`
`#include <vector>`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Singleton
| Automatic creation and destruction of singleton instances.

## Macros
#define | SMTG_VALIDATE_DEPENDENCY_COUNT DEVELOPMENT

## Typedefs
using | ObjectVector = std::vector< FObject ** >

## Functions
bool | isTerminated ()
| Returns true when singleton instances were already released.
void | lockRegister ()
| lock and unlock the singleton registration for multi-threading safety
void | unlockRegister ()
void | registerInstance (FObject **o)
| registers an instance (type FObject)

## Variables
struct Steinberg::FObjectIIDInitializer | gFObjectIidInitializer
ObjectVector * | singletonInstances = nullptr
bool | singletonsTerminated = false
Steinberg::Base::Thread::FLock * | singletonsLock
struct Steinberg::Singleton::Deleter | deleter

## Macro Definition Documentation

#define SMTG_VALIDATE_DEPENDENCY_COUNT DEVELOPMENT

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.